From e7e64c707081999feaeafee1df9c622ffbf30c4b Mon Sep 17 00:00:00 2001
From: Kazuhito Hagio <k-hagio-ab@nec.com>
Date: Tue, 1 Mar 2022 11:06:15 +0900
Subject: [PATCH] defs.h: Add note on adding entries to end of table

With this patch, a patch adding an entry to the middle of offset_table
or etc. shows like this and it would be easier to notice the rule [1].

diff --git a/defs.h b/defs.h
index 938e39ca4baf..c0814482abaa 100644
--- a/defs.h
+++ b/defs.h
@@ -2007,6 +2007,7 @@ struct offset_table {             /* NOTE: add new entries to end of table [1] */
        long mm_struct_mm_count;
        long task_struct_thread_reg29;
        long task_struct_thread_reg31;
+       long foo_bar;
        long pt_regs_regs;
        long pt_regs_cp0_badvaddr;
        long address_space_page_tree;

[1] https://github.com/crash-utility/crash/wiki

Signed-off-by: Kazuhito Hagio <k-hagio-ab@nec.com>
---
 defs.h | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/defs.h b/defs.h
index bf2c59bc3350..ce1c812b17b0 100644
--- a/defs.h
+++ b/defs.h
@@ -1215,8 +1215,8 @@ struct reference {
 	void *refp;
 };
 
-struct offset_table {                    /* stash of commonly-used offsets */
-	long list_head_next;             /* add new entries to end of table */
+struct offset_table {		/* NOTE: add new entries to end of table [1] */
+	long list_head_next;	/* [1] https://github.com/crash-utility/crash/wiki */
 	long list_head_prev;
 	long task_struct_pid;
 	long task_struct_state;
@@ -2170,8 +2170,8 @@ struct offset_table {                    /* stash of commonly-used offsets */
 	long sbq_wait_state_wait;
 };
 
-struct size_table {         /* stash of commonly-used sizes */
-	long page;
+struct size_table {	/* NOTE: add new entries to end of table [1] */
+	long page;	/* [1] https://github.com/crash-utility/crash/wiki */
 	long free_area_struct;
 	long zone_struct;
 	long free_area;
@@ -2339,8 +2339,8 @@ struct size_table {         /* stash of commonly-used sizes */
 	long sbq_wait_state;
 };
 
-struct array_table {
-	int kmem_cache_s_name;
+struct array_table {		/* NOTE: add new entries to end of table [1] */
+	int kmem_cache_s_name;	/* [1] https://github.com/crash-utility/crash/wiki */
 	int kmem_cache_s_c_name;
 	int kmem_cache_s_array;
 	int kmem_cache_s_cpudata;
-- 
2.27.0

